package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MarketMap;


/**
*  service接口类
*/
public interface MarketMapService{

    List<MarketMap> getMarketMapList(MarketMap record);

    List<MarketMap> getMarketMapByPage(Page page, MarketMap record);

    MarketMap getMarketMapById(String id);

    MarketMap getMarketMap(MarketMap record);

    boolean createMarketMap(MarketMap record);

    boolean deleteMarketMap(MarketMap record);

    boolean updateMarketMap(MarketMap record);
}

